## openvswitch 3.6.0

=== Documentation/requirements.txt ===
sphinx>=1.1
ovs_sphinx_theme>=1.0,<1.1

=== debian/changelog ===
openvswitch (3.6.0-2) unstable; urgency=medium

  * Blacklist "980: ofproto - flow table names" in riscv.

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Aug 2025 13:32:07 +0200

openvswitch (3.6.0-1) unstable; urgency=medium

  * Team upload.
  * d/control: Recommends openvswitch-switch for openvswitch-common
    (Closes: #1080961).
  * d/tests: Drop bind mount trick for DPDK test (LP: #2019069).
  * Update upstream source from tag 'upstream/3.6.0'

 -- Frode Nordahl <fnordahl@ubuntu.com>  Wed, 20 Aug 2025 08:32:23 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# While -fPIC is often the default, we explicitly enable it for this package
# because it is a requirement for successful linking the static libopenvswitch
# with shared libraries used for the Python JSON C extension.
#
# Ref: https://patchwork.ozlabs.org/project/openvswitch/patch/20220725121939.2710272-5-i.maximets@ovn.org/
export DEB_CFLAGS_MAINT_APPEND = -fPIC

%:
	dh $@

execute_after_dh_autoreconf:
	patch -f --no-backup-if-mismatch -i $(CURDIR)/debian/ltmain-whole-archive.diff build-aux/ltmain.sh

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
PARALLEL = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
PARALLEL =
endif

DEB_HOST_ARCH?=$(shell dpkg-architecture -qDEB_HOST_ARCH)

override_dh_auto_configure:
	test -d _debian || mkdir _debian
	cd _debian && ( \
		test -e Makefile || \
		../configure --prefix=/usr --localstatedir=/var --enable-ssl \
					 --sysconfdir=/etc \
					 $(DATAPATH_CONFIGURE_OPTS) \
					 $(EXTRA_CONFIGURE_OPTS) \
					 )
ifneq (,$(filter i386 amd64 ppc64el arm64 riscv64 loong64, $(DEB_HOST_ARCH)))
	test -d _dpdk || mkdir _dpdk
	cd _dpdk && ( \
		test -e Makefile || \
        ../configure --prefix=/usr --localstatedir=/var --enable-ssl \
                     --with-dpdk=shared --sysconfdir=/etc \
					 $(DATAPATH_CONFIGURE_OPTS) \
					 $(EXTRA_CONFIGURE_OPTS) \
					 )
endif


# NOTE(jamespage): by default, just run all tests
# NOTE(zigo): by default, blacklist non-deterministic tests
TEST_LIST = 1-1223 1227-2391 2394-2410 2413-2442 2447-
TEST_LIST_DPDK = $(TEST_LIST)

# mips64el:
#    20: bfd - bfd decay FAILED (bfd.at:396)
#  1033: ofproto-dpif - select group with weights
#  1035: ofproto-dpif - select group with weights
#  1057: ofproto-dpif - controller action without megaflows FAILED (ofproto-dpif.at:1893)
#  1021: ofproto-dpif - select group with weights        FAILED (ofproto-dpif.at:535)
#  1069: ofproto-dpif - controller action without megaflows
ifneq (,$(filter mips64el, $(DEB_HOST_ARCH)))
TEST_LIST = 1-19 22-531 533-1020 1022-1032 1034 1037-1056 1058-1068 1070 1072-1120 1122-1223 1227-2391 2394-2410 2413-2442 2447-
TEST_LIST_DPDK = $(TEST_LIST)
endif # mips64el

# arm64:
#   159: ofp-actions - inconsistent MPLS actions         FAILED (ofp-actions.at:819)
#  1021: ofproto-dpif - select group with weights        FAILED (ofproto-dpif.at:535)
#  1057: ofproto-dpif - controller action without megaflows FAILED (ofproto-dpif.at:1893)
ifneq (,$(filter arm64, $(DEB_HOST_ARCH)))
TEST_LIST = 1-19 21-158 160-531 533-1020 1022-1056 1058-1068 1070 1072-1120 1122-1223 1227-2391 2394-2410 2413-2442 2447-
TEST_LIST_DPDK = $(TEST_LIST)
endif #arm64

# sparc64
#    20: bfd - bfd decay                                 FAILED (bfd.at:396)
#    26: bfd - check that BFD works together with RSTP   FAILED (bfd.at:829)
#   478: fuzz regression - ofp_print_fuzzer-5395207246839808 FAILED (fuzz-regression.at:12)
#   927: ofproto - bundle packet-out makes bundle commit to fail(OpenFlow 1.4) FAILED (ofproto.at:2181)
#   945: ofproto - asynchronous message control (OpenFlow 1.3) FAILED (ovs-macros.at:242)
#   969: ofproto - flow monitoring pause and resume      FAILED (ofproto.at:4851)
#   998: PMD - monitor threads                           FAILED (pmd.at:660)
#  1057: ofproto-dpif - controller action without megaflows FAILED (ofproto-dpif.at:1893)
#  1155: ofproto-dpif - continuation - resubmit - OpenFlow10 FAILED (ovs-macros.at:242)7
#  1156: ofproto-dpif - continuation - resubmit - OpenFlow13 FAILED (ovs-macros.at:242)
#  1187: ofproto-dpif - sFlow packet sampling - LACP structures FAILED (ofproto-dpif.at:7205)
#  2184: STP - dummy interface                           FAILED (stp.at:439)
#  2185: STP - flush the fdb and mdb when topology changed FAILED (stp.at:529)
#  2249: auto-attach - packets                           FAILED (auto-attach.at:5)
ifneq (,$(filter sparc64, $(DEB_HOST_ARCH)))
TEST_LIST = 1-19 22-25 27-477 479-531 533-926 928-944 946-968 970-997 999-1056 1058-1154 1157-1223 1227-1186 1188-2183 2186-2248 2250-2391 2394-2410 2413-2442 2447-
TEST_LIST_DPDK = $(TEST_LIST)
endif #sparc64

# riscv64
#  758: tunnel - input with matching tunnel mask        FAILED (tunnel.at:132)
#  945: ofproto - asynchronous message control (OpenFlow 1.3) FAILED (ofproto.at:3372)
#  946: ofproto - asynchronous message control (OpenFlow 1.4) FAILED (ovs-macros.at:242)
#  969: ofproto - flow monitoring pause and resume      FAILED (ofproto.at:4851)
#  980: ofproto - flow table names                      FAILED (ofproto.at:2461)
#  1036: ofproto-dpif - select group with weights        ok
#  1038: ALB - min num PMD/RxQ                           FAILED (ovs-macros.at:242)
#  1039: ALB - cross-numa                                FAILED (ovs-macros.at:242)
#  1040: ALB - PMD/RxQ assignment type                   FAILED (ovs-macros.at:242)
#  1069: ofproto-dpif - select group with weights        FAILED (ofproto-dpif.at:863)
#  1072: ofproto-dpif - controller action without megaflows FAILED (ofproto-dpif.at:2145)
#  1105: ofproto-dpif - controller action without megaflows FAILED (ofproto-dpif.at:2221)
#  1153: ofproto-dpif - continuation - actions - OpenFlow10 FAILED (ovs-macros.at:242)
#  1154: ofproto-dpif - continuation - actions - OpenFlow13 FAILED (ovs-macros.at:242)
#  1155: ofproto-dpif - continuation - resubmit - OpenFlow10 FAILED (ovs-macros.at:242)
#  1156: ofproto-dpif - continuation - resubmit - OpenFlow13 FAILED (ovs-macros.at:242)
#  1159: ofproto-dpif - continuation - goto_table - OpenFlow10 FAILED (ovs-macros.at:242)
#  1160: ofproto-dpif - continuation - goto_table - OpenFlow13 FAILED (ovs-macros.at:242)
#  1161: ofproto-dpif - continuation - write_metadata - OpenFlow10 FAILED (ovs-macros.at:242)
#  1162: ofproto-dpif - continuation - write_metadata - OpenFlow13 FAILED (ovs-macros.at:242)
#  1163: ofproto-dpif - continuation - data stack - OpenFlow10 FAILED (ovs-macros.at:242)
#  1164: ofproto-dpif - continuation - data stack - OpenFlow13 FAILED (ovs-macros.at:242)
#  1167: ofproto-dpif - continuation - patch ports - OpenFlow10 FAILED (ovs-macros.at:242)
#  1168: ofproto-dpif - continuation - patch ports - OpenFlow13 FAILED (ovs-macros.at:242)
#  1187: ofproto-dpif - sFlow packet sampling - LACP structures FAILED (ofproto-dpif.at:7205)
#  1805: ovsdb-server combines updates on backlogged connections FAILED (ovsdb-server.at:1213)
#  1806: ovsdb-server transaction history size           FAILED (ovsdb-server.at:1282)
ifneq (,$(filter riscv64, $(DEB_HOST_ARCH)))
TEST_LIST = 1-19 22-28 30-531 533-757 759-944 947-968 970-979 981-1020 1022-1223 1227-1035 1037 1041-1056 1058-1068 1070-1071 1073-1104 1106-1152 1157-1158 1165-1166 1169-1186 1188-1234 1237-1804 1807-2391 2394-2410 2413-2442 2447-
TEST_LIST_DPDK = $(TEST_LIST)
endif #riscv64

# ia64
#    20: bfd - bfd decay                                 FAILED (bfd.at:396)
#  1021: ofproto-dpif - select group with weights        FAILED (ofproto-dpif.at:535)
#  1057: ofproto-dpif - controller action without megaflows FAILED (ofproto-dpif.at:1893)
ifneq (,$(filter ia64, $(DEB_HOST_ARCH)))
TEST_LIST = 1-19 22-531 533-1020 1022-1056 1058-1223 1227-2391 2394-2410 2413-2442 2447-
TEST_LIST_DPDK = $(TEST_LIST)
endif #ia64

# LP: #2090931 DPDK 24.11 increases the residential footprint for binaries
# linked with DPDK.
#
# The OVS build system currently links all binaries with DPDK, consequently
# some tests no longer pass in constrained CI environment due to the increased
# memory footprint.
#
# On an installed system with DPDK enabled, all binaries come from the normal
# build tree, with the exception of the ovs-vswitchd daemon.
#
# We mimic this in our build time test for DPDK to avoid the issue.
DPDK_AUTOTEST_PATH = $(CURDIR)/_debian/utilities:vswitchd:$(CURDIR)/_debian/ovsdb:$(CURDIR)/_debian/vtep:tests:$(CURDIR)/_debian/ipsec::

override_dh_auto_test:

=== debian/watch ===
version=4
https://www.openvswitch.org/download/ https://www.openvswitch.org/releases/openvswitch-(.*).tar.gz

## openvswitch 3.7.0~git20260211.8c6ebf8

=== debian/changelog ===
openvswitch (3.7.0~git20260211.8c6ebf8-1~1.gbp9127d1) unstable; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/3.7.0_git20260211.8c6ebf8'.
  * d/rules: Add proper guards for s390x arch.
  * d/p/tests-Make-routing-rules-checks-more-resilient.patch: Some
    datapath tests were failing due to pre-existing routing rules,
    this fix makes the check more general, allowing the tests to
    pass in more environments.
  * d/p/tests-Fix-sigpipe-race-condition-in-odp-tests.patch: In unit
    tests a race condition could happen where the test script (test-dpparse.py)
    would finish processing and close its stdin before the pipeline completed
    writing all its output, making the test fail, this patch addresses this situation.
  * d/p/make-ovs-skip-atlocal-in-rsicv.patch: Drop as it has no effect.
  * Fix lintian warnings and errors.
  * d/control: Bump libdpdk-dev version.

 -- Matteo Perin <matteo.perin@canonical.com>  Fri, 13 Feb 2026 10:41:50 +0100

openvswitch (3.6.0-7) unstable; urgency=medium

  * export PYBUILD_SYSTEM=distutils when calling pybuild (Closes: #1126096).

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Feb 2026 16:01:04 +0100

openvswitch (3.6.0-6) unstable; urgency=medium

  * Add make-ovs-skip-atlocal-in-rsicv.patch (Closes: #1121905).

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Dec 2025 12:11:21 +0100

openvswitch (3.6.0-5) unstable; urgency=medium

  * Add more tests to the blacklist, which are happening on slower hardware
    (Closes: #1108054).

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Nov 2025 18:24:37 +0100

openvswitch (3.6.0-4) unstable; urgency=medium

  * Blacklist one test in s390x and one in rscv64.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Nov 2025 18:01:59 +0100

openvswitch (3.6.0-3) unstable; urgency=medium

  * Clean-up .pybuild folder on clean (Closes: #1048074).

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Nov 2025 12:27:47 +0100

=== debian/control ===
Source: openvswitch
Section: net
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Simon Horman <horms@debian.org>,
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
 Luca Boccassi <bluca@debian.org>,
 Christian Ehrhardt <christian.ehrhardt@canonical.com>,
Build-Depends:
 architecture-is-64-bit,
 autoconf (>= 2.64),
 automake (>= 1.10),
 bzip2,
 debhelper-compat (= 13),
 dh-exec,
 dh-python,
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 graphviz,
 iproute2,
 libbpf-dev,
 libcap-ng-dev,
 libdbus-1-dev [amd64 i386 ppc64el arm64 riscv64 loong64],
 libdpdk-dev (>= 25.11~) [amd64 i386 ppc64el arm64 riscv64 loong64],
 libnuma-dev [amd64 i386 ppc64el arm64 riscv64 loong64 s390x],
 libpcap-dev [amd64 i386 ppc64el arm64 riscv64 loong64],
 libssl-dev,
 libtool,
 libunbound-dev,
 libxdp-dev (>= 1.4.3~) [!alpha !arc !hppa !ia64 !m68k !sh4],
 openssl,
 pkgconf,
 procps,
 python3-all-dev,
 python3-setuptools,
 python3-sortedcontainers,
 python3-sphinx,
Standards-Version: 4.6.2
Homepage: http://openvswitch.org/
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/openvswitch/-/tree/debian/experimental
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/openvswitch.git
X-Python3-Version: >= 3.10

Package: openvswitch-common
Architecture: linux-any
Depends:
 openssl,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${python3:Depends},
 openvswitch-switch (= ${binary:Version}),
 python3-openvswitch (= ${binary:Version}),
Suggests:
 ethtool,
 openvswitch-doc,
Breaks:
 openvswitch-switch (<< 2.13.0~git20200212.15ae9db33-0ubuntu2~),
Replaces:
 openvswitch-switch (<< 2.13.0~git20200212.15ae9db33-0ubuntu2~),
Description: Open vSwitch common components
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 openvswitch-common provides components required by both openvswitch-switch
 and openvswitch-testcontroller.

Package: openvswitch-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Open vSwitch documentation
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 This package provides documentation for configuration and use
 of Open vSwitch.

Package: openvswitch-ipsec
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 iproute2,
 openvswitch-common (= ${binary:Version}),
 openvswitch-switch (= ${binary:Version}),
 python3-openvswitch (= ${binary:Version}),
 strongswan,
 ${misc:Depends},
Suggests: python3:any
Breaks:
 openvswitch-common (<< 2.17~),
Replaces:
 openvswitch-common (<< 2.17~),
Description: Open vSwitch IPsec tunneling support
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 This package provides IPsec tunneling support for OVS tunnels.

Package: openvswitch-pki
Architecture: all
Depends:
 openvswitch-common (<< ${source:Version}.1~),
 openvswitch-common (>= ${source:Version}),
 ${misc:Depends},
Description: Open vSwitch public key infrastructure dependency package
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 openvswitch-pki provides PKI (public key infrastructure) support for
 Open vSwitch switches and controllers, reducing the risk of
 man-in-the-middle attacks on the Open vSwitch network infrastructure.

Package: openvswitch-source
Architecture: all
Depends:
 ${misc:Depends},
Description: Open vSwitch source code
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 This package contains the full Open vSwitch source code to support
 use with the Open Virtual Network (OVN) build.

Package: openvswitch-switch
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends},
Depends:
 kmod | module-init-tools,
 netbase,
 openvswitch-common (= ${binary:Version}),
 procps,
 uuid-runtime,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 python3-netifaces,
 python3-openvswitch (>= ${binary:Version}),
 ${python3:Depends},
Breaks:
 openvswitch-common (<< 2.17~),
Replaces:
 openvswitch-common (<< 2.17~),
Description: Open vSwitch switch implementations
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 openvswitch-switch provides the userspace components and utilities for
 the Open vSwitch kernel-based switch.

Package: openvswitch-switch-dpdk
Architecture: amd64 arm64 i386 ppc64el riscv64 loong64
Pre-Depends: ${misc:Pre-Depends},
Depends:
 dpdk,
 openvswitch-switch (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Enhances:
 openvswitch-switch,
Description: DPDK enabled Open vSwitch switch implementation
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 openvswitch-switch provides the userspace components and utilities for
 the Open vSwitch kernel-based switch.
 .
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package provides a DPDK enabled implementation of the ovs-vswitchd
 binary.

Package: openvswitch-test
Architecture: all
Depends:
 python3-twisted,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-openvswitch (<< 2.17~),
 openvswitch-common (<< 2.17~),
 openvswitch-switch (<< 3.1.0-1~),
Replaces:
 python3-openvswitch (<< 2.17~),
 openvswitch-common (<< 2.17~),
 openvswitch-switch (<< 3.1.0-1~),
Description: Open vSwitch test package
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 This package contains utilities that are useful to diagnose
 performance and connectivity issues in Open vSwitch setup.

Package: openvswitch-testcontroller
Architecture: linux-any
Breaks:
 openvswitch-common (<< 2.17~),
Replaces:
 openvswitch-common (<< 2.17~),
Pre-Depends: ${misc:Pre-Depends}
Depends:
 openvswitch-common (= ${binary:Version}),
 openvswitch-pki (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Simple controller for testing OpenFlow setups
 This controller enables OpenFlow switches that connect to it to act
 as MAC-learning Ethernet switches.  It can be used for initial
 testing of OpenFlow networks.  It is not a necessary or desirable
 part of a production OpenFlow deployment.

Package: openvswitch-vtep
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 lsb-release,
 openvswitch-common (>= ${binary:Version}),
 openvswitch-switch (>= ${binary:Version}),
 python3-openvswitch (>= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests: python3:any
Breaks:
 openvswitch-common (<< 2.17~),
Replaces:
 openvswitch-common (<< 2.17~),
Description: Open vSwitch VTEP utilities
 Open vSwitch is a production quality, multilayer, software-based, Ethernet
 virtual switch. It is designed to enable massive network automation through
 programmatic extension, while still supporting standard management interfaces
 and protocols (e.g. NetFlow, sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In
 addition, it is designed to support distribution across multiple physical
 servers similar to VMware's vNetwork distributed vswitch or Cisco's Nexus
 1000V.
 .
 This package provides utilities that are useful to interact with a
 VTEP-configured database and a VTEP emulator.

Package: python3-openvswitch
Architecture: linux-any
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 python3-click,
 python3-netaddr,
 python3-pyparsing,
 python3-rich,
Suggests:
 python3-graphviz,
 python3-unbound,
Description: Python 3 bindings for Open vSwitch
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 This package contains the full Python 3 bindings for Open vSwitch
 database.

=== debian/rules ===
--- 
+++ 
@@ -47,8 +47,22 @@
 
 # NOTE(jamespage): by default, just run all tests
 # NOTE(zigo): by default, blacklist non-deterministic tests
-TEST_LIST = 1-1223 1227-2391 2394-2410 2413-2442 2447-
+# 2436: ovsdb-idl.at:1544  ovsdb-idl - track, simple idl, initially populated, weak references, insert+delete batch - C ovsdb server idl tracking positive
+# 2455: ovsdb-idl.at:1751  ovsdb-idl - track, simple idl, initially empty, strong references, insert and delete - C ovsdb server idl tracking positive
+# 2456: ovsdb-idl.at:1751  ovsdb-idl - track, simple idl, initially empty, strong references, insert and delete - write-changed-only - C ovsdb server idl tracking positive
+# 2489: ovsdb-idl.at:2725  ovsdb-idl - track, insert and delete, refs to link1 - C ovsdb server idl tracking positive
+# 2490: ovsdb-idl.at:2725  ovsdb-idl - track, insert and delete, refs to link1 - write-changed-only - C ovsdb server idl tracking positive
+# 2491: ovsdb-idl.at:2768  ovsdb-idl - track, insert and delete, refs to link2 - C ovsdb server idl tracking positive
+# 2492: ovsdb-idl.at:2768  ovsdb-idl - track, insert and delete, refs to link2 - write-changed-only - C ovsdb server idl tracking positive
+TEST_LIST = 1-1223 1227-2391 2394-2410 2413-2435 2437-2442 2447-2454 2457-2488 2493-
 TEST_LIST_DPDK = $(TEST_LIST)
+
+# s390x:
+# 33: bfd.at:268         bfd - bfd decay
+ifneq (,$(filter s390x, $(DEB_HOST_ARCH)))
+TEST_LIST = 1-32 34-1223 1227-2391 2394-2410 2413-2442 2447-
+TEST_LIST_DPDK = $(TEST_LIST)
+endif
 
 # mips64el:
 #    20: bfd - bfd decay FAILED (bfd.at:396)
@@ -93,6 +107,7 @@
 
 # riscv64
 #  758: tunnel - input with matching tunnel mask        FAILED (tunnel.at:132)
+#  806: tunnel.at:790      tunnel - Geneve metadata
 #  945: ofproto - asynchronous message control (OpenFlow 1.3) FAILED (ofproto.at:3372)
 #  946: ofproto - asynchronous message control (OpenFlow 1.4) FAILED (ovs-macros.at:242)
 #  969: ofproto - flow monitoring pause and resume      FAILED (ofproto.at:4851)
@@ -120,30 +135,3 @@
 #  1805: ovsdb-server combines updates on backlogged connections FAILED (ovsdb-server.at:1213)
 #  1806: ovsdb-server transaction history size           FAILED (ovsdb-server.at:1282)
 ifneq (,$(filter riscv64, $(DEB_HOST_ARCH)))
-TEST_LIST = 1-19 22-28 30-531 533-757 759-944 947-968 970-979 981-1020 1022-1223 1227-1035 1037 1041-1056 1058-1068 1070-1071 1073-1104 1106-1152 1157-1158 1165-1166 1169-1186 1188-1234 1237-1804 1807-2391 2394-2410 2413-2442 2447-
-TEST_LIST_DPDK = $(TEST_LIST)
-endif #riscv64
-
-# ia64
-#    20: bfd - bfd decay                                 FAILED (bfd.at:396)
-#  1021: ofproto-dpif - select group with weights        FAILED (ofproto-dpif.at:535)
-#  1057: ofproto-dpif - controller action without megaflows FAILED (ofproto-dpif.at:1893)
-ifneq (,$(filter ia64, $(DEB_HOST_ARCH)))
-TEST_LIST = 1-19 22-531 533-1020 1022-1056 1058-1223 1227-2391 2394-2410 2413-2442 2447-
-TEST_LIST_DPDK = $(TEST_LIST)
-endif #ia64
-
-# LP: #2090931 DPDK 24.11 increases the residential footprint for binaries
-# linked with DPDK.
-#
-# The OVS build system currently links all binaries with DPDK, consequently
-# some tests no longer pass in constrained CI environment due to the increased
-# memory footprint.
-#
-# On an installed system with DPDK enabled, all binaries come from the normal
-# build tree, with the exception of the ovs-vswitchd daemon.
-#
-# We mimic this in our build time test for DPDK to avoid the issue.
-DPDK_AUTOTEST_PATH = $(CURDIR)/_debian/utilities:vswitchd:$(CURDIR)/_debian/ovsdb:$(CURDIR)/_debian/vtep:tests:$(CURDIR)/_debian/ipsec::
-
-override_dh_auto_test:

## openvswitch 3.7.0

=== debian/changelog ===
openvswitch (3.7.0-1) unstable; urgency=medium

  * Team upload.

  [ Matteo Perin ]
  * Update upstream source from tag 'upstream/3.7.0'
  * d/control: Add python3-netaddr and python3-pyparsing to build-depends.
  * d/p/tests-Fix-sigpipe-race-condition-in-odp-tests.patch: Drop.
  * d/p/tests-Make-routing-rules-checks-more-resilien.patch: Replace with
    upstream version.
  * Fix system routing tests.
    - d/p/ovs-router-Fix-disable-system-route-rules-filter.patch
    - d/p/ovs-router-Fix-locking-in-ovs_router_rule_add.patch

  [ Frode Nordahl ]
  * d/t/control: Be explicit about the iputils-ping test dependency (LP: #2126981).

 -- Matteo Perin <matteo.perin@canonical.com>  Mon, 02 Mar 2026 19:22:00 +0100

openvswitch (3.7.0~git20260211.8c6ebf8-1~1.gbp9127d3) unstable; urgency=medium

  * Blacklist "33: bfd - bfd decay" in riscv64.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Feb 2026 10:56:00 +0100

openvswitch (3.7.0~git20260211.8c6ebf8-1~1.gbp9127d2) unstable; urgency=medium

  * Add Alias=openvswitch.service to openvswitch-switch.service to be aligned
    with the Red Hat .service name.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Feb 2026 15:36:04 +0100

=== debian/control ===
--- 
+++ 
@@ -36,6 +36,8 @@
  python3-setuptools,
  python3-sortedcontainers,
  python3-sphinx,
+ python3-netaddr,
+ python3-pyparsing,
 Standards-Version: 4.6.2
 Homepage: http://openvswitch.org/
 Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/openvswitch/-/tree/debian/experimental

=== debian/tests/control ===
Tests: afxdp, kmod, offloads, userspace
Depends:
 @,
 conntrack,
 curl,
 ethtool,
 iputils-ping,
 ncat,
 net-tools,
 python3-pyftpdlib,
 tcpdump,
 wget,
Restrictions:
 allow-stderr,
 build-needed,
 isolation-machine,
 needs-root,
 rw-build-tree,

# The dpdk tests are marked `skippable`, because they have environment specific
# requirements which may or may not be available at runtime (hugepages setup).
Tests: dpdk
Depends:
 @,
 conntrack,
 curl,
 dpdk-dev [amd64 i386 ppc64el arm64 riscv64],
 ethtool,
 iputils-ping,
 ncat,
 net-tools,
 python3-pyftpdlib,
 tcpdump,
 wget,
Restrictions:
 allow-stderr,
 build-needed,
 isolation-machine,
 needs-root,
 rw-build-tree,
 skippable,

Tests: python-extension
Depends:
  @,
  python3-all,
